Package org.jbpm.services.ejb.api

## Interface RuntimeDataServiceEJBLocal

- All Superinterfaces:
    `DeploymentEventListener`, `RuntimeDataService`
  All Known Implementing Classes:
    `RuntimeDataServiceEJBImpl`

      public interface RuntimeDataServiceEJBLocal
      extends RuntimeDataService, DeploymentEventListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jbpm.services.api.RuntimeDataService

      `RuntimeDataService.EntryType`

  - ### Method Summary

    - ### Methods inherited from interface org.jbpm.services.api.DeploymentEventListener

      `onActivate, onDeactivate, onDeploy, onUnDeploy`

    - ### Methods inherited from interface org.jbpm.services.api.RuntimeDataService

      `getAllAdminAuditTask, getAllAuditTask, getAllAuditTaskByStatus, getAllGroupAuditTask, getNodeInstanceForWorkItem, getNodeInstancesByCorrelationKeyNodeType, getNodeInstancesByNodeType, getProcessById, getProcesses, getProcessesByDeploymentId, getProcessesByDeploymentIdProcessId, getProcessesByFilter, getProcessesById, getProcessIds, getProcessInstanceByCorrelationKey, getProcessInstanceById, getProcessInstanceFullHistory, getProcessInstanceFullHistoryByType, getProcessInstanceHistoryActive, getProcessInstanceHistoryCompleted, getProcessInstances, getProcessInstances, getProcessInstancesByCorrelationKey, getProcessInstancesByCorrelationKeyAndStatus, getProcessInstancesByDeploymentId, getProcessInstancesByParent, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessId, getProcessInstancesByProcessName, getProcessInstancesByVariable, getProcessInstancesByVariableAndValue, getProcessInstancesWithSubprocessByProcessInstanceId, getTaskById, getTaskById, getTaskByWorkItemId, getTaskEvents, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsBusinessAdministratorByStatus, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksByVariable, getTasksByVariableAndValue, getTasksOwned, getTasksOwnedByExpirationDateOptional, getTasksOwnedByStatus, getVariableHistory, getVariablesCurrentState, taskSummaryQuery`